<main>
  <div class="information_wrapper">
    <div class="information">
      <div class="information_text">
        <h4>Free courses from</h4>
        <h2>LEVERX GROUP</h2>
        <p>The profession of a programmer is one of the most demanded
          in the IT field today. Programming training at LeverX Group
          is an excellent opportunity to gain practical knowledge
          in the most relevant areas in this area and build a successful
          career in our company.</p>
        <button class="start_btn">Start Now</button>
      </div>
    </div>
  </div>
  <div class="articles_wrapper">
      <h4 class="articles_heading">Interesting articles by LeverX Group</h4>
      <label for="search" class="search_label">
        <mat-icon *ngIf="!!searchInput.value" class="search-close-button" (click)="searchInput.value = ''" >close</mat-icon>
        <mat-icon class="search-icon">search</mat-icon>

      </label>
      <input type="text" name="search" id="search" placeholder="Search for article" [(ngModel)]="inputValue"
             (input)="search()" #searchInput>

      <app-tags-list (addTagEvent)="findTag($event)" [tagsList]="tagsList" [selectedTags]="[]"></app-tags-list>

      <div class="articles" *ngIf="!articlesList.isLoading && !!articlesList.articlesList.length;
       else articlesList.isLoading && !!articlesList.articlesList.length ? spinner : noResultsState">
        <app-article-prev *ngFor="let articleContent of articlesList.articlesList" [articleContent]="articleContent">
        </app-article-prev>
      </div>
  </div>
</main>
<app-footer></app-footer>

<ng-template #spinner>
  <app-spinner [spinnerStyle]="spinnerStyle"></app-spinner>
</ng-template>

<ng-template #noResultsState>
  <app-empty-state></app-empty-state>
</ng-template>
